{{! template-lint-disable require-input-label }}
{{!-- template-lint-disable no-builtin-form-components --}}
<Input class='icon-selector-filter form-control border-0 rounded-0' placeholder={{t 'Filter icons by name'}} @value={{this.filterValue}} />

<hr class='m-0' />

{{#if this.hasNoResults}}
  <div class='not-matched-message text-center m-3'>
    {{t 'icon-not-matched-message'}}
  </div>
{{else if this.filteredIcons}}
  <Filters::IconSelector @onSelect={{this.onSelectIcon}} @onDeselect={{this.onDeselectIcon}} @icons={{this.filteredIcons}} @value={{this.value}} />
{{else}}
  <Browse::GroupIterator @key='icon-filter' @items={{@icons}} as |key list|>
    <Filters::IconSelector @onSelect={{this.onSelectIcon}} @onDeselect={{this.onDeselectIcon}} @icons={{list}} @value={{this.value}} />
  </Browse::GroupIterator>
{{/if}}
{{!-- template-lint-disable no-at-ember-render-modifiers --}}
<div class="d-none" {{did-insert this.setup}} {{did-update this.setup @value}}></div>